<?php
/**
 * Template part - Portfolio Section of FrontPage
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package munix
 */
    $munix_portfolio_section = get_theme_mod( 'munix_portfolio_section_hideshow','hide');
    $munix_portfolio_title   =  get_theme_mod('munix_portfolio_title');  
    $munix_portfolio_subtitle   =  get_theme_mod('munix_portfolio_subtitle');  

   
    $munix_portfolio_no        = 6;
    $munix_portfolio_pages      = array();
    
    for( $i = 1; $i <= $munix_portfolio_no; $i++ ) {
        $munix_portfolio_pages[]    =  get_theme_mod( "munix_portfolio_page_$i", 1 );
    }

    $munix_portfolio_args  = array(
        'post_type' => 'page',
        'post__in' => array_map( 'absint', $munix_portfolio_pages ),
        'posts_per_page' => absint($munix_portfolio_no),
        'orderby' => 'post__in'
    ); 
    
    $munix_portfolio_query = new wp_Query( $munix_portfolio_args );
     
     if( $munix_portfolio_section == "show") :
    
?>

 <!-- portfolio section -->
           
        <section class="portfolio sp-100">
            <div class="container">
                <div class="row">
                    <div class="col-sm-12">
                        <div class="all-title">
                            <?php if($munix_portfolio_title !="") { ?>
                            <h3 class="sec-title">
                                <span><?php echo esc_html(get_theme_mod('munix_portfolio_title')); ?></span>
                            </h3>
                            <?php } if($munix_portfolio_subtitle !=""){?>
                            <p class="title-bot-30"><?php echo esc_html(get_theme_mod('munix_portfolio_subtitle')); ?> </p>
                            <?php } ?>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-sm-12">
                        <div class="row portfolio-items port-theme-2">
                            <?php
                                $count = 0;
                                while($munix_portfolio_query->have_posts()) :
                                $munix_portfolio_query->the_post();
                            ?>
                            <div class="col-md-4 col-sm-6 col-xs-12 port-item graphic developement">
                                <div class="project">
                                    <div class="proj-img">
                                        <img src="<?php the_post_thumbnail_url('munix-portfolio-thumbnail') ?>">
                                    </div>
                                    <ul class="proj-content clearfix">
                                        <li class="pull-left">
                                            <h5><a href="<?php the_permalink() ?>"><?php the_title(); ?></a></h5>
                                        </li>
                                        <li class="pull-right">
                                            <a href="<?php the_post_thumbnail_url('munix-portfolio-thumbnail', array('class' => 'img-responsive')); ?>" title="<?php echo esc_attr__("this is a popup",'munix'); ?>" class="sb pop-btn">
                                                <?php echo esc_html__( '+', 'munix' ); ?>
                                            </a>
                                        </li>
                                    </ul>
                                </div>
                            </div>
                            <?php
                                $count = $count + 1;
                                endwhile;
                                wp_reset_postdata();
                            ?>
                        </div>
                    </div>
                </div>
            </div>
        </section>

<!-- End portfolio Section -->
<?php
  endif;
?>