<?php
/**
 * Template part - Service Section of FrontPage
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package munix
 */
    $munix_services_section = get_theme_mod( 'munix_services_section_hideshow','hide');
    $munix_services_title   =  get_theme_mod('munix_services_title');  
    $munix_column_layout       = get_theme_mod( 'munix_column_layout', '4' );

   
    $munix_services_no        = 6;
    $munix_services_pages      = array();
    $munix_services_icons     = array();
    
    for( $i = 1; $i <= $munix_services_no; $i++ ) {
        $munix_services_pages[]    =  get_theme_mod( "munix_service_page_$i", 1 );
        $munix_services_icons[]    = get_theme_mod( "munix_page_service_icon_$i", '' );
    }

    $munix_services_args  = array(
        'post_type' => 'page',
        'post__in' => array_map( 'absint', $munix_services_pages ),
        'posts_per_page' => absint($munix_services_no),
        'orderby' => 'post__in'
    ); 
    
    $munix_services_query = new wp_Query( $munix_services_args );
     
     if( $munix_services_section == "show") :
    
?>

 <!-- service section -->

    <section class="sp-100 service">
            <div class="container">
                <div class="row">
                    <div class="col-sm-12">
                        <div class="all-title white-title">
                            <?php if($munix_services_title != "")   {  ?>
                                <h3 class="sec-title"><span><?php echo esc_html(get_theme_mod('munix_services_title')); ?></span></h3>
                            <?php }?>
                            <p class="title-bot-30"><?php echo esc_html(get_theme_mod('munix_services_subtitle')); ?></p>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <?php
                        $count = 0;
                        while($munix_services_query->have_posts()) :
                        $munix_services_query->the_post();
                    ?>
                    <div class="col-lg-<?php echo esc_attr($munix_column_layout); ?> col-md-<?php echo esc_attr($munix_column_layout); ?>">
                        <div class="service-col" style="background-image: url(<?php the_post_thumbnail_url('munix-about-thumbnail', array('class' => 'img-responsive')); ?>);">
                            <div class="service-wrap">
                                <?php if($munix_services_icons[$count] !="") { ?>
                                    <i aria-hidden="true" class="fa <?php echo esc_html($munix_services_icons[$count]); ?>"></i>
                                <?php } ?>
                                <h4 class="serv-head"><a href="<?php the_permalink() ?>"><?php the_title(); ?></a></h4>
                                <div class="ser-overlay">
                                    <div class="overlay-content">
                                        <h4><a href="<?php the_permalink() ?>"><?php the_title(); ?></a></h4>
                                        <?php the_excerpt(); ?>
                                        <a class="btn btn-custom" href="<?php the_permalink(); ?>">
                                           <?php echo esc_html__('Read More', 'munix'); ?> 
                                        </a>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <?php
                        $count = $count + 1;
                        endwhile;
                        wp_reset_postdata();
                    ?> 
                </div>
            </div>
    </section>

            

<!-- End service Section -->
<?php
  endif;
?>