<?php
/**
 * Template Name: Full-width Page Template, No Sidebar
 *
 * Description: Use this page template to remove the sidebar from any page.
 * @package munix
 */
?>

<?php get_header(); 
if(get_header_image()){
    $overlay = "banner";
    $title   = "banner-heading" ;
 }
 else{
    $overlay = "nobanner";
    $title   = "nobanner-heading" ;
 }

?>
<!--  Page-title -->

    <section class="<?php echo esc_attr($overlay);?>" <?php if ( get_header_image() ){ ?> style="background-image:url('<?php header_image(); ?>')"  <?php } ?>>
            <div class="<?php echo esc_attr($title);?>">
                <?php if (is_home() || is_front_page()) { ?>						
					<h2 class="text-center"><?php echo esc_html__('blog', 'munix') ?></h2>
				<?php } else { ?>
					 <h2 class="text-center"><?php wp_title(''); ?></h2>							
				<?php } ?>	
            </div>
    </section>
    
<!-- End page-title -->

<!-- Main Content Section -->
  
        <div class="bg-w sp-70-100">
            <div class="container">
                <div class="col-sm-12">
                    <div class="blog-detail mt-30">
                        <?php if(have_posts()) : ?>
                            <?php while(have_posts()) : the_post(); ?>
                                <div class="row">
                                    <div class="col-sm-12">
                                        <article class="blog-items">
                                            <?php if(has_post_thumbnail()) : ?>
                                                <div class="blog-img">
                                                    <a href="<?php the_permalink(); ?>" class="post-img-link">
                                                        <?php the_post_thumbnail('munix-page-thumbnail', array('class' => 'img-responsive')); ?>
                                                    </a>
                                                </div>
                                            <?php endif; ?>
                                                <div class="blog-content desc">
                                                    <?php the_content(); ?>
                                                </div>
                                        </article>
                                    </div>
                                </div>
                            <?php endwhile; ?>
                            <!-- comments -->
                            <div class="comment-box">
                                <?php 
                                    if ( comments_open() || get_comments_number() ) :
                                    comments_template();
                                    endif; 
                                ?> 
                            </div>
                            <!-- End comments -->                 
                        <?php else :  
                             get_template_part( 'content-parts/content', 'none' );
                        endif; ?>
                    </div>
                </div>
            </div>
        </div>
  
    <!-- Main Content Section -->
<?php get_footer(); ?>