<?php 
/**
 * The header for our theme.
 *
 * Displays all of the <head> section 
 *
 * @package munix
 */
 ?>

<!DOCTYPE html>
<html <?php language_attributes(); ?>>

<head>
    <meta charset="<?php bloginfo( 'charset' ); ?>">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
   <?php global $munix_themes; ?>
         
        <?php if ( is_singular() && pings_open( get_queried_object() ) ) : ?>
        <link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
        <?php endif; ?>
        <?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>

    <div class="wrapper">
        <!-- ====== Go to top ====== -->
        <a id="c-scroll" title="Go to top" href="javascript:void(0)">
            <i class="fa fa-chevron-up"></i>
        </a>
        
        <!--======== header=========-->

        <header>
            <?php  
                $munix_header_section = get_theme_mod('munix_header_section_hideshow' ,'show');
                if ($munix_header_section =='show') { 
                $munix_address_value = get_theme_mod('munix_header_address_value');
                $munix_phone_value = get_theme_mod('munix_header_phone_value');
                $munix_email_value = get_theme_mod('munix_header_email_value');
                $munix_social_link_1 = get_theme_mod('munix_header_social_link_1');
                $munix_social_link_2 = get_theme_mod('munix_header_social_link_2');
                $munix_social_link_3 = get_theme_mod('munix_header_social_link_3');
                $munix_social_link_4 = get_theme_mod('munix_header_social_link_4');
                $munix_social_link_5 = get_theme_mod('munix_header_social_link_5');
            ?>
            <div class="head-top">
                <div class="container">
                    <div class="row">
                        <div class="col-md-7">
                            <ul class="head-social">
                                <li>
                                    <?php 
                                        if (!empty($munix_social_link_1)) { ?>
                                        <a href="<?php echo esc_url($munix_social_link_1); ?>">
                                            <i class="fa fa-facebook" aria-hidden="true"></i>
                                        </a>
                                    <?php } ?>
                                </li>
                                <li>
                                    <?php 
                                        if (!empty($munix_social_link_2)) { ?>
                                        <a href="<?php echo esc_url($munix_social_link_2); ?>">
                                            <i class="fa fa-twitter" aria-hidden="true"></i>
                                        </a>
                                    <?php } ?>
                                </li>
                                <li>
                                    <?php 
                                        if (!empty($munix_social_link_3)) { ?>
                                        <a href="<?php echo esc_url($munix_social_link_3); ?>">
                                            <i class="fa fa-linkedin" aria-hidden="true"></i>
                                        </a>
                                    <?php } ?>
                                </li>
                                <li>
                                    <?php 
                                        if (!empty($munix_social_link_4)) { ?>
                                        <a href="<?php echo esc_url($munix_social_link_4); ?>">
                                            <i class="fa fa-instagram" aria-hidden="true"></i>
                                        </a>
                                    <?php } ?>
                                </li>
                                <li>
                                    <?php 
                                        if (!empty($munix_social_link_5)) { ?>
                                        <a href="<?php echo esc_url($munix_social_link_5); ?>">
                                            <i class="fa fa-google-plus" aria-hidden="true"></i>
                                        </a>
                                    <?php } ?>
                                </li>
                            </ul>
                            <ul class="head-locate">
                                <?php
                                    if (!empty($munix_address_value)) {
                                ?>
                                <li>
                                    <i class="fa fa-map-marker"></i>
                                    <span><?php echo esc_html($munix_address_value); ?></span>
                                </li>
                                <?php } ?>
                            </ul>
                        </div>
                        <div class="col-md-5">
                            <ul class="mail-con">
                                <?php
                                    if (!empty($munix_email_value)) {
                                ?>
                                <li>
                                    <i class="fa fa-envelope"></i>
                                     <p><?php echo esc_html($munix_email_value); ?></p>
                                </li>
                                <?php } 
                                    if (!empty($munix_phone_value)) {
                                ?>
                                <li>
                                    <i class="fa fa-phone"></i>
                                    <p><?php echo esc_html($munix_phone_value); ?></p>
                                </li>
                                <?php } ?>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
            <?php } ?>
            <div class="menu-header header-theme-1">
                <div class="finest-header clearfix">
                    <div class="container">
                        <div class="row">
                            <div class="col-md-3">
                                <div class="logo munix-logo">
                                    <?php if (has_custom_logo()) : ?> 
                                        <span><?php the_custom_logo(); ?></span>
                                    <?php else : ?>
                                        <a href="<?php echo esc_url( home_url( '/' ) ); ?>"  >
                                        <span class="site-title"><?php bloginfo( 'title' ); ?></span></a>
                                    <?php endif;?>
                                </div>
                            </div>
                            <div class="col-md-9">
                                <div id="menu" class="main-menu">
                                        <?php wp_nav_menu( array
                                            (
                                                'menu'              => 'primary',
                                                'container'         => 'ul', 
                                                'theme_location'    => 'primary', 
                                                'menu_class'        => 'menu', 
                                                'items_wrap'        => '<ul class="menu-wrap clearfix">%3$s</ul>',
                                                'fallback_cb'       => 'munix_wp_bootstrap_navwalker::fallback',
                                                'walker'            => new munix_wp_bootstrap_navwalker()
                                            )); 
                                        ?>  
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="mobile-menu"></div>
            </div>
        </header>   