<?php
/**
 * The template for displaying all pages.
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site will use a
 * different template.
 *
 * @package munix
*/
 get_header(); 

if(get_header_image()){
    $munix_overlay = "banner";
    $munix_title   = "banner-heading" ;
 }
 else{
    $munix_overlay = "nobanner";
    $munix_title   = "nobanner-heading" ;
 }

?>
<!--  Page-title -->

    <section class="<?php echo esc_attr($munix_overlay);?>" <?php if ( get_header_image() ){ ?> style="background-image:url('<?php header_image(); ?>')"  <?php } ?>>
            <div class="<?php echo esc_attr($munix_title);?>">
                <?php if (is_home() || is_front_page()) { ?>						
					<h2 class="text-center"><?php echo esc_html('', 'munix') ?></h2>
				<?php } else { ?>
					<h2 class="text-center"><?php wp_title(''); ?></h2>							
				<?php } ?>	
            </div>
    </section>
    
    
<!-- End page-title -->


<!-- Main Content Section -->
        <div class="bg-w sp-70-100">
            <div class="container">
                <div class="row">
                <div class="col-sm-8">
                    <div class="blog-detail ">
                        <?php if(have_posts()) : ?>
                            <?php while(have_posts()) : the_post(); ?>
                                <div class="row">
                                    <div class="col-sm-12">
                                        <article class="blog-items">
                                            <?php if(has_post_thumbnail()) : ?>
                                                <div class="blog-img">
                                                    <a href="<?php the_permalink(); ?>" class="post-img-link">
                                                        <?php the_post_thumbnail('munix-page-thumbnail', array('class' => 'img-responsive')); ?>
                                                    </a>
                                                </div>
                                            <?php endif; ?>
                                                <div class="blog-content desc">
                                                    <?php the_content(); ?>
                                                </div>
											<?php 
											 if ( comments_open() || get_comments_number() ) : ?>
												<div class="comment-section">
													<?php comments_template(); 
													?> 
												</div>
											 <?php endif;  
												wp_link_pages( array(
												'before' => '<div class="page-links">' . esc_html__( 'Pages: ', 'munix' ),
												'after'  => '</div>',
											) );
											?>	
                                        </article>
                                    </div>
                                </div>
                            <?php endwhile; ?>
                                            
                        <?php else :  
                             get_template_part( 'content', 'none' );
                        endif; ?>
                    </div>
                </div>
                <div class="col-sm-4">
                    <?php get_sidebar(); ?>
                </div>
            </div>
            </div>
        </div>
  
    <!-- Main Content Section -->
<?php get_footer(); ?>